==================
FLAGS
==================

Usage
------
These FLAGS in PaddlePaddle can be set in two ways.

- Set the FLAGS through export. For example: :code:`export FLAGS_eager_delete_tensor_gb = 1.0` .

- Through :code:`get_flags` and :code:`set_flags` to print and set the environment variables. For more information of using these API, please refer to :ref:`api_fluid_get_flags` and :ref:`api_fluid_get_flags` .


FLAGS Quick Search
------------------

..  toctree::
    :maxdepth: 1


    cudnn_en.rst
    data_en.rst
    debug_en.rst
    device_en.rst
    distributed_en.rst
    executor_en.rst
    memory_en.rst
    others_en.rst














































